# Transfer and Burn Operations

**`transfer_art20(...)`**\
Transfers one or multiple NFTs from one user to another, respecting deny list rules and updating balances.

**`burn_art20(...)`** and **`batch_burn_art20(...)`**\
Allows holders or creators (as specified) to burn NFTs. Emits a `BurnEvent` and decreases `current_supply`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.artinals.com/artinals-protocol/art20/functions-and-entry-points/openapi-3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
